Package: groovy.util

## [Java] Class ReflectionClassNameResolver

- groovy.util.ObjectGraphBuilder.ReflectionClassNameResolver

- All Implemented Interfaces and Traits:
    ClassNameResolver

      public class ObjectGraphBuilder.ReflectionClassNameResolver

  Build objects using reflection to resolve class names.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ObjectGraphBuilder.ReflectionClassNameResolver (String root)` @param root package where the graph root class is located

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `resolveClassname(String classname)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ObjectGraphBuilder.ReflectionClassNameResolver(String root)

      Parameters:
        `root` - package where the graph root class is located

  - ### Method Detail

    - #### public String resolveClassname(String classname)